<div class="row">
    <div class="col-md-12">
        <nav class="navbar navbar-expand-lg navbar-light" style="background-color: #e3f2fd;">
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mr-auto">
                    <li class="nav-item active" [class.active]="displayMode === displayModeEnum.UserList">
                        <a class="nav-link" (click)="changeDisplayMode(displayModeEnum.UserList)">User List
                        </a>
                    </li>
                    <li class="nav-item" [class.active]="displayMode === displayModeEnum.DatatableList">
                        <a class="nav-link" (click)="changeDisplayMode(displayModeEnum.DatatableList)">Datatable User
                            List</a>
                    </li>
                </ul>
            </div>
        </nav>
    </div>
</div>
<h1>Users</h1>
<div [hidden]="displayMode !== displayModeEnum.UserList">
    <a routerLink="add" class="btn btn-sm btn-success mb-2">Add User</a>
    <input type="text" class="float-right" [(ngModel)]="search" placeholder="Serach..." />

    <div class="d-flex flex-row-reverse bd-highlight mb-2">
        <div class="p-2 bd-highlight">
            <select (change)="onTableSizeChange($event)" class="custom-select">
                <option *ngFor="let size of tableSizes" [ngValue]="size">
                    {{ size }}
                </option>
            </select>
        </div>
    </div>

    <table id="userForm" class="table table-striped">
        <thead>
            <tr>
                <th>ID</th>
                <th>Image</th>
                <th>Firstname</th>
                <th>Lastname</th>
                <th>Email</th>
                <th>Age</th>
                <th>Salary</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let employee of employees | employeeEmailFilter:search | paginate : {
                itemsPerPage: tableSize,
                currentPage: page,
                totalItems: count
              };  let i = index" [class.active]="i == currentIndex">
                <td scope="row">{{employee.id}}</td>
                <td><img src="{{employee.image}}" alt="employee image" style="width: 100px;height: 70px;"></td>
                <td>{{employee.firstname}}</td>
                <td>{{employee.lastname}}</td>
                <td>{{employee.email}}</td>
                <td>{{employee.age}}</td>
                <td>{{employee.salary}}</td>
                <td style="white-space: nowrap">
                    <button (click)="deleteEmployee(employee.id)" class="btn btn-danger">Delete</button>
                    <button routerLink="update/{{employee.id}}" class="btn btn-warning"
                        style="margin-left: 10px">Update</button>
                    <button routerLink="details/{{employee.id}}" class="btn btn-info"
                        style="margin-left: 10px">Details</button>
                </td>
            </tr>
            <tr *ngIf="!employees">
                <td colspan="6" class="text-center">
                    <span class="spinner-border spinner-border-lg align-center"></span>
                </td>
            </tr>
        </tbody>
    </table>

    <div class="d-flex justify-content-center">
        <pagination-controls responsive="true" previousLabel="Prev" nextLabel="Next"
            (pageChange)="onTableDataChange($event)">
        </pagination-controls>
    </div>
</div>

<div [hidden]="displayMode !== displayModeEnum.DatatableList">
    <a routerLink="add" class="btn btn-sm btn-success mb-2">Add User</a>
    <table datatable [dtOptions]="dtOptions" [dtTrigger]="dtTrigger" class="row-border hover">
        <thead>
            <tr>
                <th>ID</th>
                <th>Firstname</th>
                <th>Lastname</th>
                <th>Email</th>
                <th>Age</th>
                <th>Salary</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
            <tr *ngFor="let employee of employees; let i=index">
                <td>{{employee.id}}</td>
                <td>{{employee.firstname}}</td>
                <td>{{employee.lastname}}</td>
                <td>{{employee.email}}</td>
                <td>{{employee.age}}</td>
                <td>{{employee.salary}}</td>
                <td style="white-space: nowrap">
                    <button (click)="deleteEmployee(employee.id)" class="btn btn-danger">Delete</button>
                    <button routerLink="update/{{employee.id}}" class="btn btn-warning"
                        style="margin-left: 10px">Update</button>
                    <button routerLink="details/{{employee.id}}" class="btn btn-info"
                        style="margin-left: 10px">Details</button>
                </td>
            </tr>
        </tbody>
    </table>
</div>